/*
 * generated by Xtext
 */
package com.mncml.dsl.serializer;

import com.google.inject.Inject;
import com.google.inject.Provider;
import com.mncml.dsl.services.MncGrammarAccess;
import mncModel.Action;
import mncModel.Address;
import mncModel.Alarm;
import mncModel.AlarmBlock;
import mncModel.AlarmHandling;
import mncModel.AlarmTriggerCondition;
import mncModel.ArrayType;
import mncModel.BoolValue;
import mncModel.CheckParameterCondition;
import mncModel.Command;
import mncModel.CommandDistribution;
import mncModel.CommandResponseBlock;
import mncModel.CommandTranslation;
import mncModel.CommandTriggerCondition;
import mncModel.CommandValidation;
import mncModel.ControlNode;
import mncModel.DataPoint;
import mncModel.DataPointBlock;
import mncModel.DataPointHandling;
import mncModel.DataPointTriggerCondition;
import mncModel.DataPointValidCondition;
import mncModel.Event;
import mncModel.EventBlock;
import mncModel.EventHandling;
import mncModel.EventTriggerCondition;
import mncModel.FloatValue;
import mncModel.Import;
import mncModel.IntValue;
import mncModel.InterfaceDescription;
import mncModel.MncModelPackage;
import mncModel.Model;
import mncModel.OperatingState;
import mncModel.Operation;
import mncModel.ParameterTranslation;
import mncModel.Port;
import mncModel.PrimitiveValue;
import mncModel.Publish;
import mncModel.Response;
import mncModel.ResponseBlock;
import mncModel.ResponseTranslation;
import mncModel.ResponseTranslationRule;
import mncModel.ResponseValidation;
import mncModel.ResponsibleItemList;
import mncModel.SimpleType;
import mncModel.StringValue;
import mncModel.SubscribableItemList;
import mncModel.Transition;
import mncModel.utility.AlarmBlockUtility;
import mncModel.utility.AlarmUtility;
import mncModel.utility.CommandDistributionUtility;
import mncModel.utility.CommandResponseBlockUtility;
import mncModel.utility.CommandUtility;
import mncModel.utility.DataPointBlockUtility;
import mncModel.utility.DataPointUtility;
import mncModel.utility.EventBlockUtility;
import mncModel.utility.EventUtility;
import mncModel.utility.ResponseBlockUtility;
import mncModel.utility.ResponseUtility;
import mncModel.utility.StateUtility;
import mncModel.utility.TransitionUtility;
import mncModel.utility.UtilityPackage;
import org.eclipse.emf.ecore.EObject;
import org.eclipse.xtext.serializer.acceptor.ISemanticSequenceAcceptor;
import org.eclipse.xtext.serializer.acceptor.SequenceFeeder;
import org.eclipse.xtext.serializer.diagnostic.ISemanticSequencerDiagnosticProvider;
import org.eclipse.xtext.serializer.diagnostic.ISerializationDiagnostic.Acceptor;
import org.eclipse.xtext.serializer.sequencer.AbstractDelegatingSemanticSequencer;
import org.eclipse.xtext.serializer.sequencer.GenericSequencer;
import org.eclipse.xtext.serializer.sequencer.ISemanticNodeProvider.INodesForEObjectProvider;
import org.eclipse.xtext.serializer.sequencer.ISemanticSequencer;
import org.eclipse.xtext.serializer.sequencer.ITransientValueService;
import org.eclipse.xtext.serializer.sequencer.ITransientValueService.ValueTransient;

@SuppressWarnings("all")
public abstract class AbstractMncSemanticSequencer extends AbstractDelegatingSemanticSequencer {

	@Inject
	private MncGrammarAccess grammarAccess;
	
	@Override
	public void createSequence(EObject context, EObject semanticObject) {
		if(semanticObject.eClass().getEPackage() == MncModelPackage.eINSTANCE) switch(semanticObject.eClass().getClassifierID()) {
			case MncModelPackage.ACTION:
				sequence_Action(context, (Action) semanticObject); 
				return; 
			case MncModelPackage.ADDRESS:
				sequence_Address(context, (Address) semanticObject); 
				return; 
			case MncModelPackage.ALARM:
				sequence_Alarm(context, (Alarm) semanticObject); 
				return; 
			case MncModelPackage.ALARM_BLOCK:
				sequence_AlarmBlock(context, (AlarmBlock) semanticObject); 
				return; 
			case MncModelPackage.ALARM_HANDLING:
				sequence_AlarmHandling(context, (AlarmHandling) semanticObject); 
				return; 
			case MncModelPackage.ALARM_TRIGGER_CONDITION:
				sequence_AlarmTriggerCondition(context, (AlarmTriggerCondition) semanticObject); 
				return; 
			case MncModelPackage.ARRAY_TYPE:
				sequence_ArrayType(context, (ArrayType) semanticObject); 
				return; 
			case MncModelPackage.BOOL_VALUE:
				sequence_PrimitiveValue(context, (BoolValue) semanticObject); 
				return; 
			case MncModelPackage.CHECK_PARAMETER_CONDITION:
				sequence_CheckParameterCondition(context, (CheckParameterCondition) semanticObject); 
				return; 
			case MncModelPackage.COMMAND:
				sequence_Command(context, (Command) semanticObject); 
				return; 
			case MncModelPackage.COMMAND_DISTRIBUTION:
				sequence_CommandDistribution(context, (CommandDistribution) semanticObject); 
				return; 
			case MncModelPackage.COMMAND_RESPONSE_BLOCK:
				sequence_CommandResponseBlock(context, (CommandResponseBlock) semanticObject); 
				return; 
			case MncModelPackage.COMMAND_TRANSLATION:
				sequence_CommandTranslation(context, (CommandTranslation) semanticObject); 
				return; 
			case MncModelPackage.COMMAND_TRIGGER_CONDITION:
				sequence_CommandTriggerCondition(context, (CommandTriggerCondition) semanticObject); 
				return; 
			case MncModelPackage.COMMAND_VALIDATION:
				sequence_CommandValidation(context, (CommandValidation) semanticObject); 
				return; 
			case MncModelPackage.CONTROL_NODE:
				sequence_ControlNode(context, (ControlNode) semanticObject); 
				return; 
			case MncModelPackage.DATA_POINT:
				sequence_DataPoint(context, (DataPoint) semanticObject); 
				return; 
			case MncModelPackage.DATA_POINT_BLOCK:
				sequence_DataPointBlock(context, (DataPointBlock) semanticObject); 
				return; 
			case MncModelPackage.DATA_POINT_HANDLING:
				sequence_DataPointHandling(context, (DataPointHandling) semanticObject); 
				return; 
			case MncModelPackage.DATA_POINT_TRIGGER_CONDITION:
				sequence_DataPointTriggerCondition(context, (DataPointTriggerCondition) semanticObject); 
				return; 
			case MncModelPackage.DATA_POINT_VALID_CONDITION:
				sequence_DataPointValidCondition(context, (DataPointValidCondition) semanticObject); 
				return; 
			case MncModelPackage.EVENT:
				sequence_Event(context, (Event) semanticObject); 
				return; 
			case MncModelPackage.EVENT_BLOCK:
				sequence_EventBlock(context, (EventBlock) semanticObject); 
				return; 
			case MncModelPackage.EVENT_HANDLING:
				sequence_EventHandling(context, (EventHandling) semanticObject); 
				return; 
			case MncModelPackage.EVENT_TRIGGER_CONDITION:
				sequence_EventTriggerCondition(context, (EventTriggerCondition) semanticObject); 
				return; 
			case MncModelPackage.FLOAT_VALUE:
				sequence_PrimitiveValue(context, (FloatValue) semanticObject); 
				return; 
			case MncModelPackage.IMPORT:
				sequence_Import(context, (Import) semanticObject); 
				return; 
			case MncModelPackage.INT_VALUE:
				sequence_PrimitiveValue(context, (IntValue) semanticObject); 
				return; 
			case MncModelPackage.INTERFACE_DESCRIPTION:
				sequence_InterfaceDescription(context, (InterfaceDescription) semanticObject); 
				return; 
			case MncModelPackage.MODEL:
				sequence_Model(context, (Model) semanticObject); 
				return; 
			case MncModelPackage.OPERATING_STATE:
				sequence_OperatingState(context, (OperatingState) semanticObject); 
				return; 
			case MncModelPackage.OPERATION:
				sequence_Operation(context, (Operation) semanticObject); 
				return; 
			case MncModelPackage.PARAMETER_TRANSLATION:
				sequence_ParameterTranslation(context, (ParameterTranslation) semanticObject); 
				return; 
			case MncModelPackage.PORT:
				sequence_Port(context, (Port) semanticObject); 
				return; 
			case MncModelPackage.PRIMITIVE_VALUE:
				sequence_PrimitiveValue_Impl(context, (PrimitiveValue) semanticObject); 
				return; 
			case MncModelPackage.PUBLISH:
				sequence_Publish(context, (Publish) semanticObject); 
				return; 
			case MncModelPackage.RESPONSE:
				sequence_Response(context, (Response) semanticObject); 
				return; 
			case MncModelPackage.RESPONSE_BLOCK:
				sequence_ResponseBlock(context, (ResponseBlock) semanticObject); 
				return; 
			case MncModelPackage.RESPONSE_TRANSLATION:
				sequence_ResponseTranslation(context, (ResponseTranslation) semanticObject); 
				return; 
			case MncModelPackage.RESPONSE_TRANSLATION_RULE:
				sequence_ResponseTranslationRule(context, (ResponseTranslationRule) semanticObject); 
				return; 
			case MncModelPackage.RESPONSE_VALIDATION:
				sequence_ResponseValidation(context, (ResponseValidation) semanticObject); 
				return; 
			case MncModelPackage.RESPONSIBLE_ITEM_LIST:
				sequence_ResponsibleItemList(context, (ResponsibleItemList) semanticObject); 
				return; 
			case MncModelPackage.SIMPLE_TYPE:
				sequence_SimpleType(context, (SimpleType) semanticObject); 
				return; 
			case MncModelPackage.STRING_VALUE:
				sequence_PrimitiveValue(context, (StringValue) semanticObject); 
				return; 
			case MncModelPackage.SUBSCRIBABLE_ITEM_LIST:
				sequence_SubscribableItemList(context, (SubscribableItemList) semanticObject); 
				return; 
			case MncModelPackage.TRANSITION:
				sequence_Transition(context, (Transition) semanticObject); 
				return; 
			}
		else if(semanticObject.eClass().getEPackage() == UtilityPackage.eINSTANCE) switch(semanticObject.eClass().getClassifierID()) {
			case UtilityPackage.ALARM_BLOCK_UTILITY:
				sequence_AlarmBlockUtility(context, (AlarmBlockUtility) semanticObject); 
				return; 
			case UtilityPackage.ALARM_UTILITY:
				sequence_AlarmUtility(context, (AlarmUtility) semanticObject); 
				return; 
			case UtilityPackage.COMMAND_DISTRIBUTION_UTILITY:
				sequence_CommandDistributionUtility(context, (CommandDistributionUtility) semanticObject); 
				return; 
			case UtilityPackage.COMMAND_RESPONSE_BLOCK_UTILITY:
				sequence_CommandResponseBlockUtility(context, (CommandResponseBlockUtility) semanticObject); 
				return; 
			case UtilityPackage.COMMAND_UTILITY:
				sequence_CommandUtility(context, (CommandUtility) semanticObject); 
				return; 
			case UtilityPackage.DATA_POINT_BLOCK_UTILITY:
				sequence_DataPointBlockUtility(context, (DataPointBlockUtility) semanticObject); 
				return; 
			case UtilityPackage.DATA_POINT_UTILITY:
				sequence_DataPointUtility(context, (DataPointUtility) semanticObject); 
				return; 
			case UtilityPackage.EVENT_BLOCK_UTILITY:
				sequence_EventBlockUtility(context, (EventBlockUtility) semanticObject); 
				return; 
			case UtilityPackage.EVENT_UTILITY:
				sequence_EventUtility(context, (EventUtility) semanticObject); 
				return; 
			case UtilityPackage.RESPONSE_BLOCK_UTILITY:
				sequence_ResponseBlockUtility(context, (ResponseBlockUtility) semanticObject); 
				return; 
			case UtilityPackage.RESPONSE_UTILITY:
				sequence_ResponseUtility(context, (ResponseUtility) semanticObject); 
				return; 
			case UtilityPackage.STATE_UTILITY:
				sequence_StateUtility(context, (StateUtility) semanticObject); 
				return; 
			case UtilityPackage.TRANSITION_UTILITY:
				sequence_TransitionUtility(context, (TransitionUtility) semanticObject); 
				return; 
			}
		if (errorAcceptor != null) errorAcceptor.accept(diagnosticProvider.createInvalidContextOrTypeDiagnostic(semanticObject, context));
	}
	
	/**
	 * Constraint:
	 *     (
	 *         (alarm+=[Alarm|QualifiedName] alarm+=[Alarm|QualifiedName]*)? 
	 *         (command+=[Command|QualifiedName] command+=[Command|QualifiedName]*)? 
	 *         (event+=[Event|QualifiedName] event+=[Event|QualifiedName]*)? 
	 *         operation=Operation?
	 *     )
	 */
	protected void sequence_Action(EObject context, Action semanticObject) {
		genericSequencer.createSequence(context, semanticObject);
	}
	
	
	/**
	 * Constraint:
	 *     ipaddress=ADDRESSFORMAT
	 */
	protected void sequence_Address(EObject context, Address semanticObject) {
		if(errorAcceptor != null) {
			if(transientValues.isValueTransient(semanticObject, MncModelPackage.Literals.ADDRESS__IPADDRESS) == ValueTransient.YES)
				errorAcceptor.accept(diagnosticProvider.createFeatureValueMissing(semanticObject, MncModelPackage.Literals.ADDRESS__IPADDRESS));
		}
		INodesForEObjectProvider nodes = createNodeProvider(semanticObject);
		SequenceFeeder feeder = createSequencerFeeder(semanticObject, nodes);
		feeder.accept(grammarAccess.getAddressAccess().getIpaddressADDRESSFORMATTerminalRuleCall_3_0(), semanticObject.getIpaddress());
		feeder.finish();
	}
	
	
	/**
	 * Constraint:
	 *     (alarmBlocks+=AlarmBlock*)
	 */
	protected void sequence_AlarmBlockUtility(EObject context, AlarmBlockUtility semanticObject) {
		genericSequencer.createSequence(context, semanticObject);
	}
	
	
	/**
	 * Constraint:
	 *     (alarm=[Alarm|QualifiedName] alarmCondition=AlarmTriggerCondition? alarmHandling=AlarmHandling?)
	 */
	protected void sequence_AlarmBlock(EObject context, AlarmBlock semanticObject) {
		genericSequencer.createSequence(context, semanticObject);
	}
	
	
	/**
	 * Constraint:
	 *     (triggerAction=Action?)
	 */
	protected void sequence_AlarmHandling(EObject context, AlarmHandling semanticObject) {
		genericSequencer.createSequence(context, semanticObject);
	}
	
	
	/**
	 * Constraint:
	 *     (responsibleItems=ResponsibleItemList operation=Operation?)
	 */
	protected void sequence_AlarmTriggerCondition(EObject context, AlarmTriggerCondition semanticObject) {
		genericSequencer.createSequence(context, semanticObject);
	}
	
	
	/**
	 * Constraint:
	 *     ((alarms+=Alarm alarms+=Alarm*)?)
	 */
	protected void sequence_AlarmUtility(EObject context, AlarmUtility semanticObject) {
		genericSequencer.createSequence(context, semanticObject);
	}
	
	
	/**
	 * Constraint:
	 *     (publish=Publish? name=EString (parameters+=Parameter parameters+=Parameter*)? type=EString? level=EInt?)
	 */
	protected void sequence_Alarm(EObject context, Alarm semanticObject) {
		genericSequencer.createSequence(context, semanticObject);
	}
	
	
	/**
	 * Constraint:
	 *     (type=PrimitiveValueType name=EString (values+=PrimitiveValue values+=PrimitiveValue*)?)
	 */
	protected void sequence_ArrayType(EObject context, ArrayType semanticObject) {
		genericSequencer.createSequence(context, semanticObject);
	}
	
	
	/**
	 * Constraint:
	 *     (
	 *         parameter=[Parameter|QualifiedName] 
	 *         checkMaxValue=PrimitiveValue? 
	 *         checkMinValue=PrimitiveValue? 
	 *         (checkValues+=PrimitiveValue checkValues+=PrimitiveValue*)?
	 *     )
	 */
	protected void sequence_CheckParameterCondition(EObject context, CheckParameterCondition semanticObject) {
		genericSequencer.createSequence(context, semanticObject);
	}
	
	
	/**
	 * Constraint:
	 *     (commandDistributions+=CommandDistribution*)
	 */
	protected void sequence_CommandDistributionUtility(EObject context, CommandDistributionUtility semanticObject) {
		genericSequencer.createSequence(context, semanticObject);
	}
	
	
	/**
	 * Constraint:
	 *     (command=[Command|QualifiedName] destinationNodes+=[ControlNode|QualifiedName] destinationNodes+=[ControlNode|QualifiedName]*)
	 */
	protected void sequence_CommandDistribution(EObject context, CommandDistribution semanticObject) {
		genericSequencer.createSequence(context, semanticObject);
	}
	
	
	/**
	 * Constraint:
	 *     (commandResponseBlocks+=CommandResponseBlock*)
	 */
	protected void sequence_CommandResponseBlockUtility(EObject context, CommandResponseBlockUtility semanticObject) {
		genericSequencer.createSequence(context, semanticObject);
	}
	
	
	/**
	 * Constraint:
	 *     (
	 *         command=[Command|QualifiedName] 
	 *         commandValidation=CommandValidation? 
	 *         transition=TransitionUtility? 
	 *         commandTriggerCondition=CommandTriggerCondition? 
	 *         commandTranslation=CommandTranslation? 
	 *         commandDistributions=CommandDistributionUtility? 
	 *         responseBlock=ResponseBlockUtility?
	 *     )
	 */
	protected void sequence_CommandResponseBlock(EObject context, CommandResponseBlock semanticObject) {
		genericSequencer.createSequence(context, semanticObject);
	}
	
	
	/**
	 * Constraint:
	 *     ((translatedCommands+=[Command|QualifiedName] translatedCommands+=[Command|QualifiedName]* parameterTranslations+=ParameterTranslation*)?)
	 */
	protected void sequence_CommandTranslation(EObject context, CommandTranslation semanticObject) {
		genericSequencer.createSequence(context, semanticObject);
	}
	
	
	/**
	 * Constraint:
	 *     (responsibleItems=ResponsibleItemList operation=Operation?)
	 */
	protected void sequence_CommandTriggerCondition(EObject context, CommandTriggerCondition semanticObject) {
		genericSequencer.createSequence(context, semanticObject);
	}
	
	
	/**
	 * Constraint:
	 *     ((commands+=Command commands+=Command*)?)
	 */
	protected void sequence_CommandUtility(EObject context, CommandUtility semanticObject) {
		genericSequencer.createSequence(context, semanticObject);
	}
	
	
	/**
	 * Constraint:
	 *     (validationRules+=CheckParameterCondition*)
	 */
	protected void sequence_CommandValidation(EObject context, CommandValidation semanticObject) {
		genericSequencer.createSequence(context, semanticObject);
	}
	
	
	/**
	 * Constraint:
	 *     (name=EString (parameters+=Parameter parameters+=Parameter*)?)
	 */
	protected void sequence_Command(EObject context, Command semanticObject) {
		genericSequencer.createSequence(context, semanticObject);
	}
	
	
	/**
	 * Constraint:
	 *     (
	 *         name=EString 
	 *         (childNodes+=[ControlNode|QualifiedName] childNodes+=[ControlNode|QualifiedName]*)? 
	 *         parentNode=[ControlNode|QualifiedName]? 
	 *         commandResponseBlocks=CommandResponseBlockUtility? 
	 *         eventBlocks=EventBlockUtility? 
	 *         alarmBlocks=AlarmBlockUtility? 
	 *         dataPointBlocks=DataPointBlockUtility? 
	 *         interfaceDescription=[InterfaceDescription|QualifiedName]
	 *     )
	 */
	protected void sequence_ControlNode(EObject context, ControlNode semanticObject) {
		genericSequencer.createSequence(context, semanticObject);
	}
	
	
	/**
	 * Constraint:
	 *     (dataPointBlocks+=DataPointBlock*)
	 */
	protected void sequence_DataPointBlockUtility(EObject context, DataPointBlockUtility semanticObject) {
		genericSequencer.createSequence(context, semanticObject);
	}
	
	
	/**
	 * Constraint:
	 *     (dataPoint=[DataPoint|QualifiedName] dataPointCondition=DataPointTriggerCondition? dataPointHandling=DataPointHandling?)
	 */
	protected void sequence_DataPointBlock(EObject context, DataPointBlock semanticObject) {
		genericSequencer.createSequence(context, semanticObject);
	}
	
	
	/**
	 * Constraint:
	 *     (checkDataPoint=DataPointValidCondition? action=Action?)
	 */
	protected void sequence_DataPointHandling(EObject context, DataPointHandling semanticObject) {
		genericSequencer.createSequence(context, semanticObject);
	}
	
	
	/**
	 * Constraint:
	 *     (responsibleItems=ResponsibleItemList operation=Operation?)
	 */
	protected void sequence_DataPointTriggerCondition(EObject context, DataPointTriggerCondition semanticObject) {
		genericSequencer.createSequence(context, semanticObject);
	}
	
	
	/**
	 * Constraint:
	 *     ((dataPoints+=DataPoint dataPoints+=DataPoint*)?)
	 */
	protected void sequence_DataPointUtility(EObject context, DataPointUtility semanticObject) {
		genericSequencer.createSequence(context, semanticObject);
	}
	
	
	/**
	 * Constraint:
	 *     ((checkValues+=PrimitiveValue checkValues+=PrimitiveValue*)? checkMaxValue=PrimitiveValue? checkMinValue=PrimitiveValue?)
	 */
	protected void sequence_DataPointValidCondition(EObject context, DataPointValidCondition semanticObject) {
		genericSequencer.createSequence(context, semanticObject);
	}
	
	
	/**
	 * Constraint:
	 *     (publish=Publish? type=PrimitiveValueType name=EString value=PrimitiveValue? (parameters+=Parameter parameters+=Parameter*)?)
	 */
	protected void sequence_DataPoint(EObject context, DataPoint semanticObject) {
		genericSequencer.createSequence(context, semanticObject);
	}
	
	
	/**
	 * Constraint:
	 *     (eventBlocks+=EventBlock*)
	 */
	protected void sequence_EventBlockUtility(EObject context, EventBlockUtility semanticObject) {
		genericSequencer.createSequence(context, semanticObject);
	}
	
	
	/**
	 * Constraint:
	 *     (event=[Event|QualifiedName] eventCondition=EventTriggerCondition? eventHandling=EventHandling?)
	 */
	protected void sequence_EventBlock(EObject context, EventBlock semanticObject) {
		genericSequencer.createSequence(context, semanticObject);
	}
	
	
	/**
	 * Constraint:
	 *     (triggerAction=Action?)
	 */
	protected void sequence_EventHandling(EObject context, EventHandling semanticObject) {
		genericSequencer.createSequence(context, semanticObject);
	}
	
	
	/**
	 * Constraint:
	 *     (responsibleItems=ResponsibleItemList operation=Operation?)
	 */
	protected void sequence_EventTriggerCondition(EObject context, EventTriggerCondition semanticObject) {
		genericSequencer.createSequence(context, semanticObject);
	}
	
	
	/**
	 * Constraint:
	 *     ((events+=Event events+=Event*)?)
	 */
	protected void sequence_EventUtility(EObject context, EventUtility semanticObject) {
		genericSequencer.createSequence(context, semanticObject);
	}
	
	
	/**
	 * Constraint:
	 *     (publish=Publish? name=EString (parameters+=Parameter parameters+=Parameter*)?)
	 */
	protected void sequence_Event(EObject context, Event semanticObject) {
		genericSequencer.createSequence(context, semanticObject);
	}
	
	
	/**
	 * Constraint:
	 *     importedNamespace=QualifiedNameWithWildCard
	 */
	protected void sequence_Import(EObject context, Import semanticObject) {
		if(errorAcceptor != null) {
			if(transientValues.isValueTransient(semanticObject, MncModelPackage.Literals.IMPORT__IMPORTED_NAMESPACE) == ValueTransient.YES)
				errorAcceptor.accept(diagnosticProvider.createFeatureValueMissing(semanticObject, MncModelPackage.Literals.IMPORT__IMPORTED_NAMESPACE));
		}
		INodesForEObjectProvider nodes = createNodeProvider(semanticObject);
		SequenceFeeder feeder = createSequencerFeeder(semanticObject, nodes);
		feeder.accept(grammarAccess.getImportAccess().getImportedNamespaceQualifiedNameWithWildCardParserRuleCall_1_0(), semanticObject.getImportedNamespace());
		feeder.finish();
	}
	
	
	/**
	 * Constraint:
	 *     (
	 *         name=EString 
	 *         (uses+=[InterfaceDescription|QualifiedName] uses+=[InterfaceDescription|QualifiedName]*)? 
	 *         port=Port? 
	 *         dataPoints=DataPointUtility? 
	 *         alarms=AlarmUtility? 
	 *         commands=CommandUtility? 
	 *         events=EventUtility? 
	 *         responses=ResponseUtility? 
	 *         operatingStates=StateUtility? 
	 *         subscribedItems=SubscribableItemList? 
	 *         ipaddress=Address?
	 *     )
	 */
	protected void sequence_InterfaceDescription(EObject context, InterfaceDescription semanticObject) {
		genericSequencer.createSequence(context, semanticObject);
	}
	
	
	/**
	 * Constraint:
	 *     (importSection+=Import* name=EString systems+=InterfaceDescription systems+=ControlNode?)
	 */
	protected void sequence_Model(EObject context, Model semanticObject) {
		genericSequencer.createSequence(context, semanticObject);
	}
	
	
	/**
	 * Constraint:
	 *     (name=EString parameters+=Parameter*)
	 */
	protected void sequence_OperatingState(EObject context, OperatingState semanticObject) {
		genericSequencer.createSequence(context, semanticObject);
	}
	
	
	/**
	 * Constraint:
	 *     (
	 *         name=EString 
	 *         (inputParameters+=[AbstractInterfaceItems|QualifiedName] inputParameters+=[AbstractInterfaceItems|QualifiedName]*)? 
	 *         (outputParameters+=[AbstractInterfaceItems|QualifiedName] outputParameters+=[AbstractInterfaceItems|QualifiedName]*)? 
	 *         script=EString?
	 *     )
	 */
	protected void sequence_Operation(EObject context, Operation semanticObject) {
		genericSequencer.createSequence(context, semanticObject);
	}
	
	
	/**
	 * Constraint:
	 *     (
	 *         inputParameters+=[Parameter|QualifiedName] 
	 *         inputParameters+=[Parameter|QualifiedName]* 
	 *         (translatedParameters+=[Parameter|QualifiedName] translatedParameters+=[Parameter|QualifiedName]*)?
	 *     )
	 */
	protected void sequence_ParameterTranslation(EObject context, ParameterTranslation semanticObject) {
		genericSequencer.createSequence(context, semanticObject);
	}
	
	
	/**
	 * Constraint:
	 *     (name=EString value=EInt?)
	 */
	protected void sequence_Port(EObject context, Port semanticObject) {
		genericSequencer.createSequence(context, semanticObject);
	}
	
	
	/**
	 * Constraint:
	 *     boolValue?=EBoolean
	 */
	protected void sequence_PrimitiveValue(EObject context, BoolValue semanticObject) {
		if(errorAcceptor != null) {
			if(transientValues.isValueTransient(semanticObject, MncModelPackage.Literals.BOOL_VALUE__BOOL_VALUE) == ValueTransient.YES)
				errorAcceptor.accept(diagnosticProvider.createFeatureValueMissing(semanticObject, MncModelPackage.Literals.BOOL_VALUE__BOOL_VALUE));
		}
		INodesForEObjectProvider nodes = createNodeProvider(semanticObject);
		SequenceFeeder feeder = createSequencerFeeder(semanticObject, nodes);
		feeder.accept(grammarAccess.getPrimitiveValueAccess().getBoolValueEBooleanParserRuleCall_3_1_0(), semanticObject.isBoolValue());
		feeder.finish();
	}
	
	
	/**
	 * Constraint:
	 *     floatValue=EFloat
	 */
	protected void sequence_PrimitiveValue(EObject context, FloatValue semanticObject) {
		if(errorAcceptor != null) {
			if(transientValues.isValueTransient(semanticObject, MncModelPackage.Literals.FLOAT_VALUE__FLOAT_VALUE) == ValueTransient.YES)
				errorAcceptor.accept(diagnosticProvider.createFeatureValueMissing(semanticObject, MncModelPackage.Literals.FLOAT_VALUE__FLOAT_VALUE));
		}
		INodesForEObjectProvider nodes = createNodeProvider(semanticObject);
		SequenceFeeder feeder = createSequencerFeeder(semanticObject, nodes);
		feeder.accept(grammarAccess.getPrimitiveValueAccess().getFloatValueEFloatParserRuleCall_1_1_0(), semanticObject.getFloatValue());
		feeder.finish();
	}
	
	
	/**
	 * Constraint:
	 *     {PrimitiveValue}
	 */
	protected void sequence_PrimitiveValue_Impl(EObject context, PrimitiveValue semanticObject) {
		genericSequencer.createSequence(context, semanticObject);
	}
	
	
	/**
	 * Constraint:
	 *     intValue=EInt
	 */
	protected void sequence_PrimitiveValue(EObject context, IntValue semanticObject) {
		if(errorAcceptor != null) {
			if(transientValues.isValueTransient(semanticObject, MncModelPackage.Literals.INT_VALUE__INT_VALUE) == ValueTransient.YES)
				errorAcceptor.accept(diagnosticProvider.createFeatureValueMissing(semanticObject, MncModelPackage.Literals.INT_VALUE__INT_VALUE));
		}
		INodesForEObjectProvider nodes = createNodeProvider(semanticObject);
		SequenceFeeder feeder = createSequencerFeeder(semanticObject, nodes);
		feeder.accept(grammarAccess.getPrimitiveValueAccess().getIntValueEIntParserRuleCall_0_1_0(), semanticObject.getIntValue());
		feeder.finish();
	}
	
	
	/**
	 * Constraint:
	 *     stringValue=EString
	 */
	protected void sequence_PrimitiveValue(EObject context, StringValue semanticObject) {
		if(errorAcceptor != null) {
			if(transientValues.isValueTransient(semanticObject, MncModelPackage.Literals.STRING_VALUE__STRING_VALUE) == ValueTransient.YES)
				errorAcceptor.accept(diagnosticProvider.createFeatureValueMissing(semanticObject, MncModelPackage.Literals.STRING_VALUE__STRING_VALUE));
		}
		INodesForEObjectProvider nodes = createNodeProvider(semanticObject);
		SequenceFeeder feeder = createSequencerFeeder(semanticObject, nodes);
		feeder.accept(grammarAccess.getPrimitiveValueAccess().getStringValueEStringParserRuleCall_2_1_0(), semanticObject.getStringValue());
		feeder.finish();
	}
	
	
	/**
	 * Constraint:
	 *     name='Publish'
	 */
	protected void sequence_Publish(EObject context, Publish semanticObject) {
		genericSequencer.createSequence(context, semanticObject);
	}
	
	
	/**
	 * Constraint:
	 *     (responseBlocks+=ResponseBlock*)
	 */
	protected void sequence_ResponseBlockUtility(EObject context, ResponseBlockUtility semanticObject) {
		genericSequencer.createSequence(context, semanticObject);
	}
	
	
	/**
	 * Constraint:
	 *     (
	 *         response=[Response|QualifiedName] 
	 *         responseValidation=ResponseValidation? 
	 *         responseTranslation=ResponseTranslation? 
	 *         (destinationNodes+=[ControlNode|QualifiedName] destinationNodes+=[ControlNode|QualifiedName]*)?
	 *     )
	 */
	protected void sequence_ResponseBlock(EObject context, ResponseBlock semanticObject) {
		genericSequencer.createSequence(context, semanticObject);
	}
	
	
	/**
	 * Constraint:
	 *     (inputResponses+=[Response|QualifiedName] inputResponses+=[Response|QualifiedName]* parameterTranslations+=ParameterTranslation*)
	 */
	protected void sequence_ResponseTranslationRule(EObject context, ResponseTranslationRule semanticObject) {
		genericSequencer.createSequence(context, semanticObject);
	}
	
	
	/**
	 * Constraint:
	 *     (responseTranslationRules+=ResponseTranslationRule*)
	 */
	protected void sequence_ResponseTranslation(EObject context, ResponseTranslation semanticObject) {
		genericSequencer.createSequence(context, semanticObject);
	}
	
	
	/**
	 * Constraint:
	 *     ((responses+=Response responses+=Response*)?)
	 */
	protected void sequence_ResponseUtility(EObject context, ResponseUtility semanticObject) {
		genericSequencer.createSequence(context, semanticObject);
	}
	
	
	/**
	 * Constraint:
	 *     (validationRules+=CheckParameterCondition*)
	 */
	protected void sequence_ResponseValidation(EObject context, ResponseValidation semanticObject) {
		genericSequencer.createSequence(context, semanticObject);
	}
	
	
	/**
	 * Constraint:
	 *     (name=EString (parameters+=Parameter parameters+=Parameter*)?)
	 */
	protected void sequence_Response(EObject context, Response semanticObject) {
		genericSequencer.createSequence(context, semanticObject);
	}
	
	
	/**
	 * Constraint:
	 *     (
	 *         (responsibleCommands+=[Command|QualifiedName] responsibleCommands+=[Command|QualifiedName]*)? 
	 *         (responsibleEvents+=[Event|QualifiedName] responsibleEvents+=[Event|QualifiedName]*)? 
	 *         (responsibleAlarms+=[Alarm|QualifiedName] responsibleAlarms+=[Alarm|QualifiedName]*)? 
	 *         (responsibleDataPoints+=[DataPoint|QualifiedName] responsibleDataPoints+=[DataPoint|QualifiedName]*)?
	 *     )
	 */
	protected void sequence_ResponsibleItemList(EObject context, ResponsibleItemList semanticObject) {
		genericSequencer.createSequence(context, semanticObject);
	}
	
	
	/**
	 * Constraint:
	 *     (type=PrimitiveValueType name=EString value=PrimitiveValue?)
	 */
	protected void sequence_SimpleType(EObject context, SimpleType semanticObject) {
		genericSequencer.createSequence(context, semanticObject);
	}
	
	
	/**
	 * Constraint:
	 *     ((operatingStates+=OperatingState operatingStates+=OperatingState*)? startState=[OperatingState|ID]? endState=[OperatingState|ID]?)
	 */
	protected void sequence_StateUtility(EObject context, StateUtility semanticObject) {
		genericSequencer.createSequence(context, semanticObject);
	}
	
	
	/**
	 * Constraint:
	 *     (
	 *         (subscribedEvents+=[Event|QualifiedName] subscribedEvents+=[Event|QualifiedName]*)? 
	 *         (subscribedAlarms+=[Alarm|QualifiedName] subscribedAlarms+=[Alarm|QualifiedName]*)? 
	 *         (subscribedDataPoints+=[DataPoint|QualifiedName] subscribedDataPoints+=[DataPoint|QualifiedName]*)?
	 *     )
	 */
	protected void sequence_SubscribableItemList(EObject context, SubscribableItemList semanticObject) {
		genericSequencer.createSequence(context, semanticObject);
	}
	
	
	/**
	 * Constraint:
	 *     (transitions+=Transition*)
	 */
	protected void sequence_TransitionUtility(EObject context, TransitionUtility semanticObject) {
		genericSequencer.createSequence(context, semanticObject);
	}
	
	
	/**
	 * Constraint:
	 *     (currentState=[OperatingState|QualifiedName] exitAction=Action? nextState=[OperatingState|QualifiedName] entryAction=Action?)
	 */
	protected void sequence_Transition(EObject context, Transition semanticObject) {
		genericSequencer.createSequence(context, semanticObject);
	}
}
